<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Z32 - Większa z losowych</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie Z32</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    Napisz program, który losuje dwie liczby pseudolosowe z zakresu od a do b, wyświetla te liczby i określa która z nich jest większa, mniejsza, czy liczby są równe.
</div>
<div class="box">
    <form action="index.php" method="post">
        <label for="a">Podaj a: </label><br>
        <input type="number" name="a" id="a" placeholder="1"><br><br>
        <label for="b">Podaj b: </label><br>
        <input type="number" name="b" id="b" placeholder="10"><br><br>
        <button type="submit">Losuj</button>
        <br>
    </form>
</div>
<div class="box">
    <?php
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        $a = (int)htmlspecialchars($_POST['a']);
        $b = (int)htmlspecialchars($_POST['b']);

        $losowa1 = rand($a, $b);
        $losowa2 = rand($a, $b);

        echo "Wylosowane liczby: $losowa1 i $losowa2<br>";

        if ($losowa1 > $losowa2) {
            echo "$losowa1 > $losowa2";
        } elseif ($losowa1 < $losowa2) {
            echo "$losowa1 < $losowa2";
        } else {
            echo "$losowa1 = $losowa2";
        }
    }
    ?>
</div>
</body>
</html>